<div class="container">
  <mat-form-field appearance="fill">
    <mat-label>Select Version</mat-label>
    <mat-select class="selectColor" [(value)]="selectedVersion" (selectionChange)="sendFilter()">
      <mat-option *ngFor="let version of versionGroup" value="{{version.name}}">{{version.name}}</mat-option>
    </mat-select>
  </mat-form-field>

    <mat-form-field appearance="fill">
    <mat-label>Select Generation</mat-label>
    <mat-select class="selectColor" [(value)]="selectedGeneration" >
      <mat-option value="0">Pokedex National</mat-option>
      <mat-option *ngFor="let gen of generations; index as i" value="{{i+1}}">{{gen.name}}</mat-option>
    </mat-select>
  </mat-form-field>
</div>
<div class="wid" style="text-align:center">
    <cdk-virtual-scroll-viewport itemSize="200" class="example-viewport">
      <div *cdkVirtualFor="let pokemon of ds">
          <mat-card  class="example-card example-item">
            <mat-card-header>
              <mat-card-title>{{ pokemon.name }}</mat-card-title>
            </mat-card-header>
            <img mat-card-image  class="with-image" src="{{pokemon.detail['sprites']['front_default'] || 'loading...'}}" alt="pokemon">
            <mat-card-content>
            </mat-card-content>
            <mat-card-actions>
              <button mat-button (click)="viewDetailPokemon(pokemon.detail)">Details</button>
            </mat-card-actions>
          </mat-card>
        </div>
    </cdk-virtual-scroll-viewport>
</div>


